{
	"name": "plugin/vue-renderer/style/nc-main-style.json",
	"style": {
		"#nc-app": { "attribute": { "color": "rgba(0, 0, 0, 0.67)" } },
		".nc-fade-fast-enter-active,\n.nc-fade-fast-leave-active": { "attribute": { "transition": "opacity 0.2s ease-out" } },
		".nc-fade-fast-enter-from,\n.nc-fade-fast-leave-to": { "attribute": { "opacity": "0" } },
		"@media (prefers-color-scheme: dark)": {
			"element": {
				"html": { "attribute": { "filter": "invert(1) hue-rotate(180deg)" } },
				"body": { "attribute": { "background-color": "#e6e6e6" } }
			},
			"attribute": {}
		},
		"@media print": {
			"element": { ".nc-no-print,\n\t.nc-no-print *": { "attribute": { "display": "none !important" } } },
			"attribute": {}
		},
		"hr": {
			"attribute": { "width": "100%", "border-top": "1px solid Silver", "margin-top": "0px", "margin-bottom": "0px" }
		},
		".nc-border-line": { "attribute": { "outline-offset": "0px", "outline": "2px solid grey" } },
		".nc-border-line-bottom": { "attribute": { "border-bottom": "2px solid grey" } },
		".nc-border-line-left": { "attribute": { "border-left": "2px solid grey", "padding-left": "8px" } },
		".nc-overflow-auto": { "attribute": { "overflow": "auto" } },
		".nc-overflow-hidden": { "attribute": { "overflow": "hidden" } },
		".nc-bold": { "attribute": { "font-weight": "600" } },
		".nc-bolder": { "attribute": { "font-weight": "500" } },
		".nc-emphasis": { "attribute": { "font-style": "oblique" } },
		".nc-main": {
			"attribute": {
				"padding-block-start": "1em",
				"padding-inline-start": "1.7em",
				"padding-inline-end": "1.7em",
				"transition": "ease all 0.5s"
			}
		},
		"@media only screen and (min-device-width: 320px) and (max-device-width: 480px)": {
			"element": { ".nc-main": { "attribute": { "padding-inline-start": "0.5em", "padding-inline-end": "0.5em" } } },
			"attribute": {}
		},
		".nc-form": {
			"attribute": { "display": "flex", "flex-wrap": "wrap", "width": "100%", "align-content": "flex-start", "align-items": "flex-start" }
		},
		".nc-row": {
			"attribute": { "padding": "1px", "display": "flex", "flex-wrap": "wrap", "align-items": "center", "width": "100%" }
		},
		".nc-row + .nc-row": { "attribute": { "margin-top": "0.1em" } },
		".nc-col": { "attribute": { "display": "flex", "flex-wrap": "wrap", "height": "100%" } },
		".nc-col + .nc-col": { "attribute": { "padding-left": "0.5em" } },
		"@media only screen and (max-width: 415px)": {
			"element": {
				".nc-col": { "attribute": { "min-width": "100%" } },
				".nc-col + .nc-col": { "attribute": { "padding-left": "0em" } }
			},
			"attribute": {}
		},
		"@media only screen and (max-width: 599px)": {
			"element": { ".nc-form-fields": { "attribute": { "min-width": "100%" } } },
			"attribute": {}
		},
		"@media only screen and (min-width: 600px)": {
			"element": {
				".nc-form-fields:only-of-type": { "attribute": { "padding-left": "0em", "padding-right": "0em" } },
				".nc-form-fields:nth-of-type(1)": { "attribute": { "padding-left": "0em", "padding-right": "1em" } },
				".nc-form-fields + .nc-form-fields": { "attribute": { "padding-left": "1em", "padding-right": "1em" } },
				".nc-form-fields:nth-last-of-type(1)": { "attribute": { "padding-left": "1em", "padding-right": "0em" } }
			},
			"attribute": {}
		},
		"@media only screen and (max-width: 900px)": {
			"element": {
				".nc-form-fields:nth-of-type(1)": {
					"attribute": { "min-width": "100%", "padding-left": "0em", "padding-right": "0em" }
				},
				".nc-form-fields + .nc-form-fields": {
					"attribute": { "min-width": "100%", "padding-left": "0em", "padding-right": "0em" }
				}
			},
			"attribute": {}
		},
		".nc-report .nc-col + .nc-col": {
			"attribute": { "margin-left": "0px", "padding-left": "0.25em", "padding-right": "0.25em" }
		},
		".nc-col-auto": { "attribute": { "flex": "1" } },
		".nc-full-width": { "attribute": { "width": "100%" } },
		".nc-top-label": { "attribute": { "margin-bottom": "4px" } },
		".nc-padding-left": { "attribute": { "padding-left": "1em" } },
		".nc-margin-top": { "attribute": { "margin-top": "0.5em !important" } },
		".nc-padding-bottom": { "attribute": { "padding-bottom": "1em !important" } },
		".nc-margin-right": { "attribute": { "margin-right": "0.5em !important" } },
		".nc-button-wide": { "attribute": { "min-width": "8em" } },
		".nc-move-down": { "attribute": { "margin-bottom": "-2.6em" } },
		".nc-on-top": { "attribute": { "z-index": "1" } },
		".nc-align-top": {
			"attribute": {
				"align-self": "flex-start !important",
				"justify-content": "flex-start !important",
				"align-items": "flex-start !important"
			}
		},
		".nc-border-top": { "attribute": { "border-top": "1px solid" } },
		".nc-center-v": { "attribute": { "align-items": "center" } },
		".nc-center-h": { "attribute": { "text-align": "center", "justify-content": "center" } },
		".nc-end-h": { "attribute": { "justify-content": "flex-end" } },
		".nc-align-bottom": {
			"attribute": { "align-self": "flex-end !important", "justify-content": "flex-end !important", "align-items": "flex-end !important" }
		},
		".nc-space-around": { "attribute": { "justify-content": "space-around" } },
		".nc-space-between": { "attribute": { "justify-content": "space-between" } },
		".nc-space-evenly": { "attribute": { "justify-content": "space-evenly" } },
		".svg-inline--fa": { "attribute": { "margin-right": "0.3em" } }
	}
}
